
#ifndef TEST_H
#define TEST_H


#define TRACEBOOL(arg1, arg2) cout << #arg1 << " = " << arg1 << " != " << #arg2 << " = " << arg2 << endl;

void testFalse(bool b, char *msg = "");

void testTrue(bool b, char *msg = "");

void testEquals(float i, float j, char *msg = "");

void testEquals(string s1, string s2, char *msg = "");

void report(); 

#endif // TEST_H
